Altibase.jdbc.driver.datatype

## Interface RowHandle

All Superinterfaces:
  BatchRowHandle

All Known Implementing Classes:
  ArrayListRowHandle, DynamicArrayRowHandle

    public interface RowHandle
    extends BatchRowHandle

ResultSet record 데이터에 접근하는 인터페이스를 정의한다.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `afterLast()`
`void` `beforeFirst()`
`void` `delete()`
`DynamicArray` `getDynamicArray(int aIndex)`
`int` `getPosition()`
`void` `increaseStoreCursor()`
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isFirst()`
`boolean` `isLast()`
`boolean` `next()`
`boolean` `previous()`
`void` `reload()`
`boolean` `setPosition(int aIndex)`
`void` `setPrepared(boolean aIsPrepared)`
`void` `update()`

### Methods inherited from interface Altibase.jdbc.driver.datatype.BatchRowHandle

`changeBindColumnType, initToStore, setColumns, size, store`

### Method Detail

#### increaseStoreCursor

    void increaseStoreCursor()

#### beforeFirst

    void beforeFirst()

#### setPrepared

    void setPrepared(boolean aIsPrepared)

#### getDynamicArray

    DynamicArray getDynamicArray(int aIndex)

#### next

    boolean next()

#### isAfterLast

    boolean isAfterLast()

#### getPosition

    int getPosition()

#### isBeforeFirst

    boolean isBeforeFirst()

#### isFirst

    boolean isFirst()

#### isLast

    boolean isLast()

#### setPosition

    boolean setPosition(int aIndex)

#### afterLast

    void afterLast()

#### previous

    boolean previous()

#### delete

    void delete()

#### reload

    void reload()

#### update

    void update()